Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jini.rio.qos.measurable.disk
Class CalculableDiskSpace

    java.lang.Object
      org.jini.rio.watch.Calculable
          org.jini.rio.qos.measurable.disk.CalculableDiskSpace

All Implemented Interfaces:
  Serializable

    public class CalculableDiskSpace

extends Calculable

A Calculable used to collect DiskSpace utilization

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jini.rio.watch.Calculable
`id, value, when`

Constructor Summary
`CalculableDiskSpace(String id, double value, long when, double capacity, double available)` Creates new CalculableDiskSpace

Method Summary
`String` | `getArchiveRecord()` Gets an archival representation for this Calculable
`double` | `getAvailable()` Getter for property available.
`double` | `getCapacity()` Getter for property capacity.
`double` | `getCurrentUtilization()` Getter for property value
`String` | `toString()` Returns a string representation of the object.

Methods inherited from class org.jini.rio.watch.Calculable
`equals, getId, getValue, getWhen, hashCode, setId, setValue, setWhen`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CalculableDiskSpace

    public CalculableDiskSpace(String id,
                               double value,
                               long when,
                               double capacity,
                               double available)

  Creates new CalculableDiskSpace

  Parameters:
    `id` - the identifier for this Calculable record
    `value` - the value for the Calculable Record
    `when` - the time when the recorded value was captured
    `capacity` - The highest speed that has been seen

Method Detail

### getCurrentUtilization

    public double getCurrentUtilization()

  Getter for property value

  Returns:
    Value of property value

### getCapacity

    public double getCapacity()

  Getter for property capacity.

  Returns:
    Value of property capacity.

### getAvailable

    public double getAvailable()

  Getter for property available.

  Returns:
    Value of property available.

### toString

    public String toString()

  Returns a string representation of the object.

  Overrides:
    `toString` in class `Calculable`
  Returns:
    a string representation of the object.

### getArchiveRecord

    public String getArchiveRecord()

  Gets an archival representation for this Calculable

  Overrides:
    `getArchiveRecord` in class `Calculable`
  Returns:
    a string representation in archive format

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Project Rio.